Creates a new callback for a specified connector.

Creates a new callback for a specified connector, such as a SalesforceOauth2 connector, or a Microsoft CRM connector.

Accepted values for Origin:

dynamics

sharepoint

dynamics2011

dynamics2013

dynamics2015

sharepoint2010

sharepoint2013

salesforceOauth2

Note that, when using the origin "salesforceOauth2", the key field of the Callback object has a specific format.

The base64 encoded string for the following JSON structure is expected in the key field.

{

  host: [salesforce oauth host],

  client_id: [salesforce connected app client id]

  refresh_token: [salesforce connected app refresh token],

}

This is an example of a valid JSON structure for the key field:

{

  host: [salesforce oauth host],

  client_id: [salesforce connected app client id]

  refresh_token: [salesforce connected app refresh token],

}

The base64 encoded string for the JSON example above would be (disregarding linebreaks):

[base64 encoded string for the JSON structure above]

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params

Represents the callback url used for event handling

events
array of objects

List of events

events
string

Unique callback key

string

The url to be called when an event occurs

string

The Auth type required for event

oauthSetting

The OAuth setting for event registration

customHeaders
array of objects

Custom headers to be included in callback requests.
Allows adding custom HTTP headers to callback webhook calls.

customHeaders
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json